[kubuntu] ubiquity installer crashes when clicking release notes link

Bug #1309458 reported by Name on 2014-04-18
40
This bug affects 5 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Unassigned
Trusty
High
Unassigned

Bug Description

TEST CASE:
1. Boot Kubuntu ISO
2. In ubiquity-dm, select German
3. Choose “Try Kubuntu”
4. In the live session, click “Install Kubuntu”
5. In the language step, click on the release notes link.

ACTUAL RESULT:
Installer Crashed:
Traceback (most recent call last):
  File "/usr/lib/ubiquity/plugins/ubi-language.py", line 486, in on_release_notes_link
    self.openURL(url)
  File "/usr/lib/ubiquity/plugins/ubi-language.py", line 507, in openURL
    if os.direxists("/usr/share/kubuntu-default-settings"):
AttributeError: 'module' object has no attribute 'direxists'

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: ubiquity 2.18.7
ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
Uname: Linux 3.13.0-24-generic i686
ApportVersion: 2.14.1-0ubuntu3
Architecture: i386
CasperVersion: 1.340
CurrentDesktop: KDE
Date: Fri Apr 18 10:33:36 2014
InstallCmdLine: file=/cdrom/preseed/kubuntu.seed boot=casper maybe-ubiquity initrd=/casper/initrd.lz quiet splash -- debian-installer/language=de keyboard-configuration/layoutcode?=de
LiveMediaBuild: Kubuntu 14.04 LTS "Trusty Tahr" - Release i386 (20140416.1)
SourcePackage: ubiquity
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Name (a1704620) wrote :
Jean-Baptiste Lallement (jibel) wrote :

Thanks for your report, it is reproducible with the steps in the description on Kubuntu (not an issue on Ubuntu)

Changed in ubiquity (Ubuntu):
importance: Undecided → High
milestone: none → ubuntu-14.04.1
status: New → Triaged
summary: - ubiquity installer crashes when clicking release notes link (German
- Kubuntu live session)
+ [kubuntu] ubiquity installer crashes when clicking release notes link
+ with non-US locale
description: updated
tags: added: testcase
tags: added: ubi-language
Rohan Garg (rohangarg) on 2014-04-22
Changed in ubiquity (Ubuntu Trusty):
status: Triaged → Fix Committed
Jonathan Riddell (jr) on 2014-04-22
summary: [kubuntu] ubiquity installer crashes when clicking release notes link
- with non-US locale
Jonathan Riddell (jr) wrote :

TEST CASE:
From Ubiquity in Kubuntu click "read release notes". Ubiquity will crash. With the updated version it will not.

Uploaded to trusty-proposed awaiting approved from ~ubuntu-sru

Hello Name, or anyone else affected,

Accepted ubiquity into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubiquity/2.18.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Dimitri John Ledkov (xnox) wrote :

verified using kubuntu 14.04 cd and upgrading packages in the live system, and restarting ubiquity-dm. The link now opens kubuntu release notes.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.18.8

---------------
ubiquity (2.18.8) trusty-proposed; urgency=medium

  [ Rohan Garg ]
  * LP: #1309458 KDE: ubiquity installer crashes when clicking release
    notes
 -- Jonathan Riddell <email address hidden> Tue, 22 Apr 2014 12:25:19 +0100

Changed in ubiquity (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubiquity has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.18.8

---------------
ubiquity (2.18.8) trusty-proposed; urgency=medium

  [ Rohan Garg ]
  * LP: #1309458 KDE: ubiquity installer crashes when clicking release
    notes
 -- Jonathan Riddell <email address hidden> Tue, 22 Apr 2014 12:25:19 +0100

Changed in ubiquity (Ubuntu):
status: Fix Committed → Fix Released
Goli (golbahar-poirierm) wrote :

I could not install the update

the document could not be saved, as it was not possible to write to /etc/apt/sources.list. Check that you have write access to this file.

I am using a DVD-R installation disc. Could this be the problem?

rrich1974 (richardsdma) wrote :

hello!
i am facing the same problem when i try to install kubuntu 14.10. after setup the installation layout (english, username, pass, timezone, etc), ubiqiuty does noting to the HDD and keeps the CPU to 50% for unlimited time (i guess).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers